Skip to main content
POST
Create dialogue graph

Path Parameters

project_id
string
required

Body

application/json

Body for POST /v1/projects/{pid}/game-narrative/dialogues.

name
string
required
Required string length: 1 - 200
description
string | null
Maximum string length: 5000
anchor_npc_id
string | null
Maximum string length: 200
anchor_quest_id
string | null
Maximum string length: 200
start_node_id
string | null
Maximum string length: 200
status
string
default:draft
Maximum string length: 80
tags
string[]
Maximum array length: 10
Maximum string length: 200

Response

Successful Response

The response is of type Response Create Graph V1 Projects Project Id Game Narrative Dialogues Post · object.